image: python:3.8
services:
  - docker:19.03.5-dind

stages:
  - Test

before_script:
  - apt-get update
  - apt-get install -y apt-transport-https ca-certificates curl gnupg-agent software-properties-common
  - curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add -
  - add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/debian $(lsb_release -cs) stable"
  - apt-get update
  - apt-get install -y docker-ce docker-ce-cli containerd.io
  - pip install -U 'molecule[docker]==4.0.1' ansible==6.2.0
  - docker -v
  - python -V
  - ansible --version
  - molecule --version
  # workaround to let molecule find the current role even if it is not cloned in a directory named after the repo name
  - mkdir -p /root/.ansible/roles
  - ln -s $(pwd) /root/.ansible/roles/ansible-jupyterhub

Syntax:
  stage: Test
  tags:
    - docker
    - ifb
  script:
    - ansible-playbook tests/test.yml -i tests/inventory --syntax-check

Molecule:
  stage: Test
  tags:
    - docker
    - ifb
  variables:
    DOCKER_TLS_CERTDIR: ""
    DOCKER_HOST: "tcp://docker:2375"
  script:
    - molecule test
